Page MenuHomePhabricator

Create pop-up for scores showing more features
Closed, ResolvedPublic

Description

Currently, when writing musical scores in MediaWiki, there is an attribute midi that has to be set to have the respective MIDI file displayed. It is accessible by clicking on the score. The decision on whether or not to include MIDI is arbitrary, and is the subject of discussion in the parent task. What would be more intuitive would be a pop-up that includes information about the score (such as its code) with a link to download MIDI (wouldn't be an attribute to set).

This task would be modifying rESCR extension-Score. Basic knowledge of HTML/CSS/JS suffices for this task; not requiring knowledge of score engraving. Patch submission through Gerrit is required, and should take a couple (2-3) days to complete, from design to patch submission.

Beginner: No (don't think so at least)
Instance Count: 1
Category: Code
Tags: HTML, JS/CSS, PHP

I would be available through email (beauleetienne0@gmail.com) or by IRC (Ebe123 or itajara) as a mentor.

Event Timeline

Ebe123 created this task.Dec 28 2017, 9:06 AM
Ebe123 triaged this task as Low priority.

I don't know if this would be admissible as a little project, but here's an idea.

@Ebe123: Thanks a lot! I've sent an invitation email to register as a Google-Code-in-2017 mentor. Could you also add yourself to the list of mentors? Thanks!

Change 400834 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/extensions/Score@master] Add popup with score stuff

https://gerrit.wikimedia.org/r/400834

mb added a subscriber: mb.Dec 30 2017, 6:37 AM

Change 400834 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Add popup showing midi DL link on score click

https://gerrit.wikimedia.org/r/400834

Change 401093 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/extensions/Score@master] Add source DL link to popup

https://gerrit.wikimedia.org/r/401093

Change 401093 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Add source DL link to popup, fix $needMidi cond

https://gerrit.wikimedia.org/r/401093

Albert221 closed this task as Resolved.Dec 31 2017, 12:12 AM

Change 402131 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/extensions/Score@master] Remove midi checkbox from VisualEditor

https://gerrit.wikimedia.org/r/402131

Change 402131 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Remove midi checkbox from VisualEditor

https://gerrit.wikimedia.org/r/402131